# Uses of Interface
org.eclipse.core.runtime.preferences.IEclipsePreferences.INodeChangeListener

Packages that use IEclipsePreferences.INodeChangeListener
Package
Description
org.eclipse.core.runtime.preferences
Provides core support for Eclipse preferences.

## Uses of IEclipsePreferences.INodeChangeListener in org.eclipse.core.runtime.preferences

Methods in org.eclipse.core.runtime.preferences with parameters of type IEclipsePreferences.INodeChangeListener
Modifier and Type
Method
Description
`void`
IEclipsePreferences.`addNodeChangeListener(IEclipsePreferences.INodeChangeListener listener)`
Register the given listener for changes to this node.
`void`
IEclipsePreferences.`removeNodeChangeListener(IEclipsePreferences.INodeChangeListener listener)`
De-register the given listener from receiving event change notifications for this node.